aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2017-03-20 18:23:40 (GMT)
committerNatanael Copa <ncopa@alpinelinux.org>2017-03-20 18:24:09 (GMT)
commit674237703b4de619d0d321e73344e57b8a58bd89 (patch)
tree0a0623969216845a3496c52fb67b8c8fc08d4654
parent87c3065b5a5ba9348f53d518ff263d44d321414a (diff)
downloadaports-674237703b4de619d0d321e73344e57b8a58bd89.tar.bz2
main/m4: build fix for set -e
-rw-r--r--main/m4/APKBUILD3
1 files changed, 1 insertions, 2 deletions
diff --git a/main/m4/APKBUILD b/main/m4/APKBUILD
index e6d7ec1..e6626e0 100644
--- a/main/m4/APKBUILD
+++ b/main/m4/APKBUILD
@@ -32,8 +32,7 @@ package() {
cd "$_builddir"
make install DESTDIR="$pkgdir"
rm -rf "$pkgdir"/usr/lib/charset.alias
- rmdir -p "$pkgdir"/usr/lib 2>/dev/null
- return 0
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null || true
}
md5sums="a077779db287adf4e12a035029002d28 m4-1.4.18.tar.gz"